Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.security
Class TLSClientParametersType

    java.lang.Object
      org.apache.cxf.configuration.security.TLSClientParametersType

    public class TLSClientParametersType

extends Object

Java class for TLSClientParametersType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TLSClientParametersType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="keyManagers" type="{http://cxf.apache.org/configuration/security}KeyManagersType" minOccurs="0"/>
             <element name="trustManagers" type="{http://cxf.apache.org/configuration/security}TrustManagersType" minOccurs="0"/>
             <element name="cipherSuites" type="{http://cxf.apache.org/configuration/security}CipherSuites" minOccurs="0"/>
             <element name="cipherSuitesFilter" type="{http://cxf.apache.org/configuration/security}FiltersType" minOccurs="0"/>
             <element name="secureRandomParameters" type="{http://cxf.apache.org/configuration/security}SecureRandomParameters" minOccurs="0"/>
             <element name="certConstraints" type="{http://cxf.apache.org/configuration/security}CertificateConstraintsType" minOccurs="0"/>
           </all>
           <attribute name="useHttpsURLConnectionDefaultSslSocketFactory" type="{http://cxf.apache.org/configuration/parameterized-types}ParameterizedBoolean" default="false" />
           <attribute name="useHttpsURLConnectionDefaultHostnameVerifier" type="{http://cxf.apache.org/configuration/parameterized-types}ParameterizedBoolean" default="false" />
           <attribute name="disableCNCheck" type="{http://cxf.apache.org/configuration/parameterized-types}ParameterizedBoolean" default="false" />
           <attribute name="jsseProvider" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="secureSocketProtocol" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="sslCacheTimeout" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected CertificateConstraintsType` | `certConstraints`
`protected CipherSuites` | `cipherSuites`
`protected FiltersType` | `cipherSuitesFilter`
`protected Boolean` | `disableCNCheck`
`protected String` | `jsseProvider`
`protected KeyManagersType` | `keyManagers`
`protected SecureRandomParameters` | `secureRandomParameters`
`protected String` | `secureSocketProtocol`
`protected Integer` | `sslCacheTimeout`
`protected TrustManagersType` | `trustManagers`
`protected Boolean` | `useHttpsURLConnectionDefaultHostnameVerifier`
`protected Boolean` | `useHttpsURLConnectionDefaultSslSocketFactory`

Constructor Summary
`TLSClientParametersType()`

Method Summary
`CertificateConstraintsType` | `getCertConstraints()` Gets the value of the certConstraints property.
`CipherSuites` | `getCipherSuites()` Gets the value of the cipherSuites property.
`FiltersType` | `getCipherSuitesFilter()` Gets the value of the cipherSuitesFilter property.
`String` | `getJsseProvider()` Gets the value of the jsseProvider property.
`KeyManagersType` | `getKeyManagers()` Gets the value of the keyManagers property.
`SecureRandomParameters` | `getSecureRandomParameters()` Gets the value of the secureRandomParameters property.
`String` | `getSecureSocketProtocol()` Gets the value of the secureSocketProtocol property.
`int` | `getSslCacheTimeout()` Gets the value of the sslCacheTimeout property.
`TrustManagersType` | `getTrustManagers()` Gets the value of the trustManagers property.
`boolean` | `isDisableCNCheck()` Gets the value of the disableCNCheck property.
`boolean` | `isSetCertConstraints()`
`boolean` | `isSetCipherSuites()`
`boolean` | `isSetCipherSuitesFilter()`
`boolean` | `isSetDisableCNCheck()`
`boolean` | `isSetJsseProvider()`
`boolean` | `isSetKeyManagers()`
`boolean` | `isSetSecureRandomParameters()`
`boolean` | `isSetSecureSocketProtocol()`
`boolean` | `isSetSslCacheTimeout()`
`boolean` | `isSetTrustManagers()`
`boolean` | `isSetUseHttpsURLConnectionDefaultHostnameVerifier()`
`boolean` | `isSetUseHttpsURLConnectionDefaultSslSocketFactory()`
`boolean` | `isUseHttpsURLConnectionDefaultHostnameVerifier()` Gets the value of the useHttpsURLConnectionDefaultHostnameVerifier property.
`boolean` | `isUseHttpsURLConnectionDefaultSslSocketFactory()` Gets the value of the useHttpsURLConnectionDefaultSslSocketFactory property.
`void` | `setCertConstraints(CertificateConstraintsType value)` Sets the value of the certConstraints property.
`void` | `setCipherSuites(CipherSuites value)` Sets the value of the cipherSuites property.
`void` | `setCipherSuitesFilter(FiltersType value)` Sets the value of the cipherSuitesFilter property.
`void` | `setDisableCNCheck(boolean value)` Sets the value of the disableCNCheck property.
`void` | `setJsseProvider(String value)` Sets the value of the jsseProvider property.
`void` | `setKeyManagers(KeyManagersType value)` Sets the value of the keyManagers property.
`void` | `setSecureRandomParameters(SecureRandomParameters value)` Sets the value of the secureRandomParameters property.
`void` | `setSecureSocketProtocol(String value)` Sets the value of the secureSocketProtocol property.
`void` | `setSslCacheTimeout(int value)` Sets the value of the sslCacheTimeout property.
`void` | `setTrustManagers(TrustManagersType value)` Sets the value of the trustManagers property.
`void` | `setUseHttpsURLConnectionDefaultHostnameVerifier(boolean value)` Sets the value of the useHttpsURLConnectionDefaultHostnameVerifier property.
`void` | `setUseHttpsURLConnectionDefaultSslSocketFactory(boolean value)` Sets the value of the useHttpsURLConnectionDefaultSslSocketFactory property.
`void` | `unsetDisableCNCheck()`
`void` | `unsetSslCacheTimeout()`
`void` | `unsetUseHttpsURLConnectionDefaultHostnameVerifier()`
`void` | `unsetUseHttpsURLConnectionDefaultSslSocketFactory()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyManagers

    protected KeyManagersType keyManagers

### trustManagers

    protected TrustManagersType trustManagers

### cipherSuites

    protected CipherSuites cipherSuites

### cipherSuitesFilter

    protected FiltersType cipherSuitesFilter

### secureRandomParameters

    protected SecureRandomParameters secureRandomParameters

### certConstraints

    protected CertificateConstraintsType certConstraints

### useHttpsURLConnectionDefaultSslSocketFactory

    protected Boolean useHttpsURLConnectionDefaultSslSocketFactory

### useHttpsURLConnectionDefaultHostnameVerifier

    protected Boolean useHttpsURLConnectionDefaultHostnameVerifier

### disableCNCheck

    protected Boolean disableCNCheck

### jsseProvider

    protected String jsseProvider

### secureSocketProtocol

    protected String secureSocketProtocol

### sslCacheTimeout

    protected Integer sslCacheTimeout

Constructor Detail

### TLSClientParametersType

    public TLSClientParametersType()

Method Detail

### getKeyManagers

    public KeyManagersType getKeyManagers()

  Gets the value of the keyManagers property.

  Returns:
    possible object is `KeyManagersType`

### setKeyManagers

    public void setKeyManagers(KeyManagersType value)

  Sets the value of the keyManagers property.

  Parameters:
    `value` - allowed object is `KeyManagersType`

### isSetKeyManagers

    public boolean isSetKeyManagers()

### getTrustManagers

    public TrustManagersType getTrustManagers()

  Gets the value of the trustManagers property.

  Returns:
    possible object is `TrustManagersType`

### setTrustManagers

    public void setTrustManagers(TrustManagersType value)

  Sets the value of the trustManagers property.

  Parameters:
    `value` - allowed object is `TrustManagersType`

### isSetTrustManagers

    public boolean isSetTrustManagers()

### getCipherSuites

    public CipherSuites getCipherSuites()

  Gets the value of the cipherSuites property.

  Returns:
    possible object is `CipherSuites`

### setCipherSuites

    public void setCipherSuites(CipherSuites value)

  Sets the value of the cipherSuites property.

  Parameters:
    `value` - allowed object is `CipherSuites`

### isSetCipherSuites

    public boolean isSetCipherSuites()

### getCipherSuitesFilter

    public FiltersType getCipherSuitesFilter()

  Gets the value of the cipherSuitesFilter property.

  Returns:
    possible object is `FiltersType`

### setCipherSuitesFilter

    public void setCipherSuitesFilter(FiltersType value)

  Sets the value of the cipherSuitesFilter property.

  Parameters:
    `value` - allowed object is `FiltersType`

### isSetCipherSuitesFilter

    public boolean isSetCipherSuitesFilter()

### getSecureRandomParameters

    public SecureRandomParameters getSecureRandomParameters()

  Gets the value of the secureRandomParameters property.

  Returns:
    possible object is `SecureRandomParameters`

### setSecureRandomParameters

    public void setSecureRandomParameters(SecureRandomParameters value)

  Sets the value of the secureRandomParameters property.

  Parameters:
    `value` - allowed object is `SecureRandomParameters`

### isSetSecureRandomParameters

    public boolean isSetSecureRandomParameters()

### getCertConstraints

    public CertificateConstraintsType getCertConstraints()

  Gets the value of the certConstraints property.

  Returns:
    possible object is `CertificateConstraintsType`

### setCertConstraints

    public void setCertConstraints(CertificateConstraintsType value)

  Sets the value of the certConstraints property.

  Parameters:
    `value` - allowed object is `CertificateConstraintsType`

### isSetCertConstraints

    public boolean isSetCertConstraints()

### getJsseProvider

    public String getJsseProvider()

  Gets the value of the jsseProvider property.

  Returns:
    possible object is `String`

### setJsseProvider

    public void setJsseProvider(String value)

  Sets the value of the jsseProvider property.

  Parameters:
    `value` - allowed object is `String`

### isSetJsseProvider

    public boolean isSetJsseProvider()

### getSecureSocketProtocol

    public String getSecureSocketProtocol()

  Gets the value of the secureSocketProtocol property.

  Returns:
    possible object is `String`

### setSecureSocketProtocol

    public void setSecureSocketProtocol(String value)

  Sets the value of the secureSocketProtocol property.

  Parameters:
    `value` - allowed object is `String`

### isSetSecureSocketProtocol

    public boolean isSetSecureSocketProtocol()

### getSslCacheTimeout

    public int getSslCacheTimeout()

  Gets the value of the sslCacheTimeout property.

  Returns:
    possible object is `Integer`

### setSslCacheTimeout

    public void setSslCacheTimeout(int value)

  Sets the value of the sslCacheTimeout property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetSslCacheTimeout

    public boolean isSetSslCacheTimeout()

### unsetSslCacheTimeout

    public void unsetSslCacheTimeout()

### setUseHttpsURLConnectionDefaultSslSocketFactory

    public void setUseHttpsURLConnectionDefaultSslSocketFactory(boolean value)

  Sets the value of the useHttpsURLConnectionDefaultSslSocketFactory property.

### unsetUseHttpsURLConnectionDefaultSslSocketFactory

    public void unsetUseHttpsURLConnectionDefaultSslSocketFactory()

### isSetUseHttpsURLConnectionDefaultSslSocketFactory

    public boolean isSetUseHttpsURLConnectionDefaultSslSocketFactory()

### isUseHttpsURLConnectionDefaultSslSocketFactory

    public boolean isUseHttpsURLConnectionDefaultSslSocketFactory()

  Gets the value of the useHttpsURLConnectionDefaultSslSocketFactory property.

### setUseHttpsURLConnectionDefaultHostnameVerifier

    public void setUseHttpsURLConnectionDefaultHostnameVerifier(boolean value)

  Sets the value of the useHttpsURLConnectionDefaultHostnameVerifier property.

### unsetUseHttpsURLConnectionDefaultHostnameVerifier

    public void unsetUseHttpsURLConnectionDefaultHostnameVerifier()

### isSetUseHttpsURLConnectionDefaultHostnameVerifier

    public boolean isSetUseHttpsURLConnectionDefaultHostnameVerifier()

### isUseHttpsURLConnectionDefaultHostnameVerifier

    public boolean isUseHttpsURLConnectionDefaultHostnameVerifier()

  Gets the value of the useHttpsURLConnectionDefaultHostnameVerifier property.

### setDisableCNCheck

    public void setDisableCNCheck(boolean value)

  Sets the value of the disableCNCheck property.

### unsetDisableCNCheck

    public void unsetDisableCNCheck()

### isSetDisableCNCheck

    public boolean isSetDisableCNCheck()

### isDisableCNCheck

    public boolean isDisableCNCheck()

  Gets the value of the disableCNCheck property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF